@import "_variables";

.loader-radar-pulse {
    position: relative;
    height: 80px;
    width: 80px;
}

.loader-radar-pulse .circle {
    height: 10px;
    width: 10px;
    position: absolute;
    top: calc(50% - 5px);
    left: calc(50% - 5px);
    border: 1px solid $primary-blue;
    border-radius: 100px;
    opacity: 0;
}

.loader-radar-pulse .circle:nth-of-type(1) {
    animation: radar-pulse 1400ms ease-out infinite;
}

.loader-radar-pulse .circle:nth-of-type(2) {
    animation: radar-pulse 1400ms ease-out 200ms infinite;
}

.loader-radar-pulse .circle:nth-of-type(3) {
    animation: radar-pulse 1400ms ease-out 300ms infinite;
}

@keyframes radar-pulse {
    0%   { transform: scale(1);
           opacity: 0 }
    5%   { transform: scale(1);
           opacity: 1 }
    30%   { opacity: 1 }
    70% { transform: scale(7);
           opacity: 0.7 }
    100% { transform: scale(7);
           opacity: 0 }
}